/* RegisterOutsource */
.register-body {
    height: auto;
}

.register-body .register-type {

    background: linear-gradient(-155deg, #da411f, #800000);
    background-position: center;
    background-size: cover;
    height: 480px;
    padding-top: 100px;
    position: relative;
    width: 100%;
    box-sizing: border-box;
    text-align: center;
}

.register-panel {
  width: 850px;
  min-height: 440px;
  text-align: center;
  margin: 0 auto 0 auto;
  z-index: 100;
  padding: 50px 20px;
}

.register-panel .p-grid {
    padding-top: 1.7rem;
}   
.register-panel .p-grid .p-col-12 {
  padding: 18px 40px;
}
.register-panel .p-grid .p-col-12 .p-button {
  margin-bottom: 20px;
}
.register-panel .p-button.p-button-text-icon-left {
  padding-left: 0.5em;
}
.register-panel .p-button .p-button-icon-left {
  vertical-align: sub;
}

.register-body .card {
    padding: 1em 0em;
}

.register-body .card h1 {
    text-align:  left;
}

.register-body .card p {
    text-align:  left;
}

.register-body .card h2 {
    font-size: 1.5em;
    font-weight: 400;
    margin: 0.5em 0;
}

.register-body .card.card-w-title {
    text-align: left;
}



.register-body .p-inputtext {
    background: transparent no-repeat;
    background-image: linear-gradient(to bottom, #757575, #757575), linear-gradient(to bottom, #bdbdbd, #bdbdbd);
    background-size: 0 2px, 100% 1px;
    background-position: 50% 100%, 50% 100%;
    transition: background-size 0.3s cubic-bezier(0.64, 0.09, 0.08, 1);
    border-width: 0;
    font-size: 1em;
    padding: 2px;
    -moz-border-radius: 0px;
    -webkit-border-radius: 0px;
    border-radius: 0px;
}
.register-body .p-inputtext:focus, body .p-inputtext.p-focus {
  border-width: 0;
  background-size: 100% 2px, 100% 1px;
  padding-bottom: 2px;
}
.register-body .p-inputtext:disabled {
  border-bottom: 1px dotted;
}
.register-body .p-inputtext:enabled:focus {
    box-shadow: none;
}
.register-body .p-inputtext.p-widget-content {
  border-width: 1px;
  background: transparent;
  background-image: none;
}
.register-body .p-inputtext.p-error {
  border-color: #e62a10;
  background-image: linear-gradient(to bottom, #e62a10, #e62a10), linear-gradient(to bottom, #e62a10, #e62a10);
  border:none;
}

.register-body .p-multiselect-filter-container .p-inputtext, body .p-listbox-filter-container .p-inputtext, body .p-dropdown-filter-container .p-inputtext, body .p-datatable-header .p-inputtext {
  background-image: linear-gradient(to bottom, #ffffff, #ffffff), linear-gradient(to bottom, #b5b5b5, #b5b5b5);
  padding-bottom: 2px;
}


.register-body .red {
    color: #e62a10;
}

.register-body .md-inputfield {
    display: block;
    position: relative;
}
.register-body .md-inputfield > label {
    color: #999;
    font-weight: normal;
    position: absolute;
    pointer-events: none;
    left: 5px;
    top: 1px;
    transition: 0.3s ease all;
    -moz-transition: 0.3s ease all;
    -webkit-transition: 0.3s ease all;
}
.register-body .md-inputfield input:focus ~ label,
.register-body .md-inputfield input.p-filled ~ label,
.register-body .md-inputfield .p-inputwrapper-focus ~ label,
.register-body .md-inputfield .p-inputwrapper-filled ~ label {
  top: -20px;
  font-size: 12px;
  color: #757575;
}
.register-body .md-inputfield .input:-webkit-autofill ~ label {
  top: -20px;
  font-size: 12px;
  color: #757575;
}
.register-body .md-inputfield input.ng-dirty.ng-invalid ~ label {
  color: #e62a10;
}
.register-body .md-inputfield .p-message.p-messages-error {
  background-color: transparent;
  border: 0 none;
  margin: 0px;
  color: #e62a10;
  font-size: 11px;
}
.register-body .md-inputfield.md-inputfield-fill input {
  background-color: #f7f7f7;
  padding-left: 4px;
  padding-right: 4px;
  padding-top: 4px;
}
.register-body .md-inputfield.md-inputfield-fill label {
  top: 2px;
}
.register-body .md-inputfield.md-inputfield-box input {
  background-color: #f7f7f7;
  padding-left: 4px;
  padding-right: 4px;
  padding-top: 24px;
}
.register-body .md-inputfield.md-inputfield-box label {
  top: 23px;
}
.register-body .md-inputfield.md-inputfield-box input:focus ~ label,
.register-body .md-inputfield.md-inputfield-box input.p-filled ~ label,
.register-body .md-inputfield.md-inputfield-box .p-inputwrapper-focus ~ label,
.register-body .md-inputfield.md-inputfield-box .p-inputwrapper-filled ~ label {
  top: 1px;
}
.register-body .md-inputfield.md-inputfield-box .input:-webkit-autofill ~ label {
  top: 1px;
}




.register-body .p-dropdown {
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    border-width: 0;
    background: transparent no-repeat;
    background-image: linear-gradient(to bottom, #757575, #757575), linear-gradient(to bottom, #bdbdbd, #bdbdbd);
    background-size: 0 2px, 100% 1px;
    background-position: 50% 100%, 50% 100%;
    transition: background-size 0.3s cubic-bezier(0.64, 0.09, 0.08, 1);
    padding-bottom: 2px;
    box-sizing: border-box;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    border-radius: 0;
}
.register-body .p-dropdown .p-dropdown-trigger-icon {
  height: 1.5em;
  width: 1.5em;
  margin-top: 0;
  padding: 0;
  top: 2px;
  margin-right: 0;
}
.register-body .p-dropdown .p-dropdown-trigger-icon .pi {
  font-size: 1.5em;
  color: #757575;
}
.register-body .p-dropdown .p-dropdown-label {
  background: none;
}
.register-body .p-dropdown .p-dropdown-label.p-inputtext {
  font-family: "Roboto", "Helvetica Neue", sans-serif;
}
.register-body .p-dropdown:not(.p-disabled).p-focus {
  border-width: 0;
  background-size: 100% 2px, 100% 1px;
  padding-bottom: 2px;
  outline: none;
  box-shadow: none;
}


.register-body .p-dropdown:not(.p-disabled).p-focus .p-dropdown-label {
  padding-bottom: 2px;
}
.register-body .p-dropdown-panel {
  background-color: #ffffff;
  border: 1px solid #d8d8d8;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  border-radius: 3px;
  padding: 0;
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  border-radius: 0;
  -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  -moz-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
}
.register-body .p-dropdown-panel .p-dropdown-list {
  padding: 0.5em 0;
}
.register-body .p-dropdown-panel .p-dropdown-item {
  margin: 0;
  padding: 0.571em 0.857em;
  color: #212121;
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  border-radius: 0;
}
.register-body .p-dropdown-panel .p-dropdown-item:not(.p-highlight):not(.p-disabled):hover {
  background-color: #e8e8e8;
  color: #000000;
}
.register-body .p-dropdown-panel .p-dropdown-item.p-highlight {
  background-color: #FF5722;
  color: #ffffff;
}
.register-body .p-dropdown-panel .p-dropdown-filter-container {
  display: block;
  border-bottom: 1px solid #bdbdbd;
  background-color: #757575;
  padding: 0.714em 1em;
}
.register-body .p-dropdown-panel .p-dropdown-filter-container input {
  color: #ffffff;
}
.register-body .p-dropdown-panel .p-dropdown-filter-container input:focus {
  border-bottom-color: #ffffff;
}
.register-body .p-dropdown-panel .p-dropdown-filter-container .pi {
  top: 0.325em;
  right: 0.75em;
  color: #ffffff;
}



.register-body .p-button.red-btn {
    background-color: #F44336;  
}

.register-body .p-button.red-btn:enabled:not(:focus):hover {
    background-color: #C62828;
}

.register-body .p-button.red-btn:focus {
    outline: 0 none;
    background-color: #f77066;
}

.register-body .p-button.red-btn:enabled:focus {
    box-shadow: none;
}

.register-body .p-grid .p-col-12 .regis-pad-btn {
    padding: 18px 10px;
}
.register-body .p-grid .p-col-12 .cancel-pad-btn {
    padding: 26px 5px;
}

.register-body hr {
    margin-top: 1rem;
    margin-bottom: 1rem;
    border: 0;
    border-top: 1.5px dashed #696767;
}

.register-body .non-shadow-card{
  box-shadow: none;
}

